Please fix me the code for this layer?

I have the code below

It applies to quick selection of layers, with block objects. Great

I want to keep the functionality of the code, and add the selectable functionality to other objects, not just the block itself.

thank you

There is no code here…

1 Like

Sorry. I’ve updated

like this?

import rhinoscriptsyntax as rs

def moveObjectsToLayer():

    ids = rs.GetObjects("select objects to move to other layer")
    if not ids: return
    targ = rs.GetLayer("select layer to move to")
    if not targ: return

    rs.EnableRedraw(False)
    for id in ids:
        rs.ObjectLayer(id, targ)
    rs.EnableRedraw(True)
        
if __name__ == "__main__" :
    moveObjectsToLayer()
1 Like